package com.steering.mes.mcp.entity;

/**
 * 数据库表MCH_MEASURE_RESULT_D所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-09-02
 */
@SuppressWarnings("serial")
public class MchMeasureResultDEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 长度
     */
    private String actLen = "";
    /**
     * 材料号(管号)
     */
    private String matNo = "";
    /**
     * 喷印管号
     */
    private String measuringSeq = "";
    /**
     * 逐支跟踪号
     */
    private String barCode = "";
    /**
     * 重量
     */
    private String actWeight = "";
    /**
     * 经过测量点次数
     */
    private String measuringCount = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 长度
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 材料号(管号)
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号(管号)
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 喷印管号
     * @return value
     */
    public String getMeasuringSeq() {
        return measuringSeq;
    }

    /**
     * 喷印管号
     * @param measuringSeq value
     */
    public void setMeasuringSeq(String measuringSeq) {
        this.measuringSeq = measuringSeq;
    }

    /**
     * 逐支跟踪号
     * @return value
     */
    public String getBarCode() {
        return barCode;
    }

    /**
     * 逐支跟踪号
     * @param barCode value
     */
    public void setBarCode(String barCode) {
        this.barCode = barCode;
    }

    /**
     * 重量
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 重量
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 经过测量点次数
     * @return value
     */
    public String getMeasuringCount() {
        return measuringCount;
    }

    /**
     * 经过测量点次数
     * @param measuringCount value
     */
    public void setMeasuringCount(String measuringCount) {
        this.measuringCount = measuringCount;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }
}